Edit survey themes
curl --request PUT \
--url https://api.gleap.io/v3/engagement/surveys/{surveyId}/themes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'project: <project>'import requests
url = "https://api.gleap.io/v3/engagement/surveys/{surveyId}/themes"
headers = {
"project": "<project>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
project: '<project>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
}
};
fetch('https://api.gleap.io/v3/engagement/surveys/{surveyId}/themes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Engagement Survey
Edit survey themes
Rename, add, merge or delete AI themes. Body { themes?: [{ id?, label, description?, polarity? }], merge?: [{ from, into }], delete?: [id] }. Returns { themes }.
PUT
/
engagement
/
surveys
/
{surveyId}
/
themes
Edit survey themes
